Std Group

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Group and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : Std Part.svg Part
Page suivante : Corps PartDesign Body.svg Arrow-right.svg

Std Group.svg Std Group

Emplacement du menu
Vue arborescente → Clic droit sur le nom du document
Ateliers
Tous
Raccourci par défaut
Introduit dans la version
Voir aussi
Std Part, Draft Sélectionner un groupe, Draft Ajouter au groupe


Description

Std Group (appelé en interne App DocumentObjectGroup) est un conteneur à usage général qui vous permet de regrouper différents types d'objets dans la vue par aborescence, quel que soit leur type de données . Il est utilisé comme un simple dossier pour classer et organiser les objets dans votre modèle afin de conserver une structure logique. Les Std Groupes peuvent être imbriqués dans d'autres Std Groupes.

L'outil Std Group n'est pas défini par un atelier particulier mais par le système de base; il se trouve donc dans la barre d'outils de structure qui est disponible dans tous les Ateliers.

Pour regrouper des objets 3D en une seule unité, avec l'intention de créer des assemblages, utilisez plutôt Std Part.

Std Group example.png

Divers éléments à l'intérieur des Std Group dans la vue en arborescence.


Utilisation

  1. Cliquez sur le nom du document dans la vue en arborescence, ouvrez le menu contextuel (clic droit) et choisissez Créer un groupe.
  2. Vous pouvez également appuyer sur le bouton Std Group.svg Group dans la barre d'outils de structure. Un groupe vide est créé.
  3. Pour ajouter des objets à un groupe, sélectionnez-les dans la vue en arborescence puis faites-les glisser et déposez-les sur le groupe.
  4. Pour supprimer des objets d'un groupe, faites-les glisser hors du groupe et sur l'étiquette du document en haut de la vue en arborescence.

Remarques

  • L'objet Group n'affecte pas les positions dans la vue 3D des éléments qu'il contient; il s'agit essentiellement d'un dossier qui permet d'organiser la vue en arborescence.
  • Le groupe peut également être créé à partir de la console Python, et sous-classé pour créer des "groupes" spéciaux, comme indiqué dans la section Script.

Propriétés

Un Std Group est appelé en interne App DocumentObjectGroup (classe App::DocumentObjectGroup) et dérive de App DocumentObject (classe App::DocumentObject). Il partage donc toutes les propriétés de ce dernier.

En plus des propriétés décrites dans App FeaturePython, qui est l'instance la plus élémentaire d'un App DocumentObject, App DocumentObjectGroup a la propriété DataGroup.

Ce sont les propriétés disponibles dans l'éditeur de propriétés. Les propriétés masquées peuvent être affichées en utilisant la commande Show all dans le menu contextuel de l'éditeur de propriétés.

Données

Base

  • DonnéesLabel (String): nom modifiable par l'utilisateur de cet objet, c'est une chaîne UTF8 arbitraire.
  • DonnéesGroup (LinkList): liste d'objets référencés. Par défaut vide [].

Propriétés cachées de Données

  • DonnéesProxy (PythonObject): classe personnalisée associée à cet objet. Cela n'existe que pour la version Python. Voir Script.

Vue

Base

Voir App FeaturePython pour les propriétés d'affichage de base.

Propriétés cachées de Vue

  • VueProxy (PythonObject): classe personnalisée associée à cet objet. Cela n'existe que pour la version Python. Voir Script.

Héritage

Un Std Group est formellement une instance de la classe App::DocumentObjectGroup dont le parent est le App DocumentObject (App::DocumentObject class) et est complété par une extension de groupe..

FreeCAD core objects.svg

Diagramme simplifié des relations entre les objets centraux du programme. La classe App::DocumentObjectGroup est un groupe simple qui utilise l'extension Groupe pour pouvoir contenir tout type d'objet.


Script

Voir aussi: Débuter avec les scripts et Objets créés par script.

Voir Part Feature pour les informations générales sur l'ajout d'objets au document.

Un Std Group (App DocumentObjectGroup) est créé avec la méthode addObject() du document. Une fois qu'un groupe existe, d'autres objets peuvent y être ajoutés avec les méthodes addObject() ou addObjects() de ce groupe.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

bod1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
bod2 = App.ActiveDocument.addObject("Part::Box", "Box")

obj.addObjects([bod1, bod2])
App.ActiveDocument.recompute()

App::DocumentObjectGroup de base n'a pas d'objet Proxy, il ne peut donc pas être entièrement utilisé pour la sous-classification.

Par conséquent, pour la sous-classe Python, vous devez créer l'objet App::DocumentObjectGroupPython.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

Par exemple, Analyse FEM est un objet App::DocumentObjectGroupPython avec une icône personnalisée et des propriétés supplémentaires.

Liens

Arrow-left.svg Page précédente : Std Part.svg Part
Page suivante : Corps PartDesign Body.svg Arrow-right.svg